<?php
include_once '../controllers/CategoriaController.php';
$categoria = new CategoriaController();

if (isset($_POST['action'])) {
    $action = $_POST['action'];
} else {
    throw new Exception('No se especificó ninguna acción');
}

switch ($action) {
    case 'getCategorias':
        $categoria->getCategorias();
        break;
    case 'addCategoria':
        $categoria->addCategoria();
        break;
    case 'getCategoria':
        $categoria->getCategoria();
        break;
    case 'updateCategoria':
        $categoria->updateCategoria();
        break;
    case 'deleteCategoria':
        $categoria->deactivateCategoria();
        break;
    case 'activateCategoria':
        $categoria->activateCategoria();
        break;
    default:
        echo json_encode(['status' => 'error', 'message' => 'Acción no válida']);
}